Bug 1158531 - LxDM with openbox : logout faillure [NEEDINFO]
Summary: LxDM with openbox : logout faillure
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: lxdm
Version: 21
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-29 14:54 UTC by penthium2
Modified: 2015-12-02 16:27 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 04:35:36 UTC
juliux.pigface: needinfo?


Attachments (Terms of Use)

Description penthium2 2014-10-29 14:54:31 UTC
Description of problem:
the commande openbox --exit kill the openbox session but lxdm don't close session and do not retour to login windows


There is no issue with lightdm and slim.
Version-Release number of selected component (if applicable):
openbox 3.5.2 revision 6
lxdm 0.4.1 revision 9

How reproducible:
Create a lxdm with openbox environement


Steps to Reproduce:
1.login with lxdm
2.logout with openbox --exit
3.

Actual results:
Crash session

Expected results:
logout and return to login window's lxdm

Additional info:
There is no isue under fedora 20 with lxdm 0.4.1 revision 6

Comment 1 azgarech 2014-10-29 14:57:15 UTC
I got the same problem using openbox and LXDM on the fedora 21. 
There is a revision difference from lxdm between my configuration of my setup on fedora 20 and fedora 21 all the rest look like identical.

Comment 2 azgarech 2014-11-11 08:59:52 UTC
I did try the Beta version of Fedora LXDM spin and the trouble with deconnection is there to . It's impossible to logoout.

Comment 3 James Wrigley 2014-12-11 02:57:14 UTC
This also happens for me on a fresh install of F21 (LXDE spin).

Comment 4 SteveB 2014-12-12 16:29:08 UTC
Same behavior for me.  Clean install of FC21 LXDE spin from bootable USB.  I can't logout -- only reboot or shutdown.  Both x86_64 and i386.

lxsession-logout gives:
** (lxsession-logout:2692): WARNING **:dbus-interface.c:94: DBUS: No such property CanSuspend
** (lxsession-logout:2692): WARNING **:dbus-interface.c:94: DBUS: No such property CanHibernate
** (lxsession-logout:2692): WARNING **:dbus-interface.c:94: DBUS: The name org.freedesktop.Hal was not provided by any .service files
** (lxsession-logout:2692): WARNING **:dbus-interface.c:94: DBUS: The name org.freedesktop.Hal was not provided by any .service files

And the logout dialog box pops up.
When you click "logout", the dialog box goes away.
But it doesn't logout.
Again, shutdown and reboot work fine....

I even tried turning off selinux (my favorite place to start), no change...

I don't see *anything* in the obvious log files (/var/log/messages, lxdm.log, Xorg.0.log); is there someplace else I should be looking?

Can someone bump up the priority on this?  Not being able to logout, only shutdown is kind of a show-stopper for installing the LXDE spin.

Comment 5 Giulio 'juliuxpigface' 2014-12-19 07:01:55 UTC
I experience the same issue on Fedora 21 (physical) and Fedora Rawhide (KVM guest). The DE it's not relevant (I tried Gnome, Fluxbox, LXDE, Openbox). With lxdm, loggin out is always faulty. I think that the bug's title should be changed.

lxdm was working as expected on Fedora 20.

I haven't posted any file yet, because (as SteveB) I don't know where to look. Feel free to ask me anything, my Rawhide is here for testing purpose.

How to reproduce:
1) Enable lxdm as service via systemctl
2) Try to logout

Expected result:
- lxdm should allow the logout.

Comment 6 Vojtech Sobota 2015-01-03 21:20:45 UTC
I can reliably reproduce the same issue on my Fedora 21 x86_64 installation (upgraded from Fedora 20).

When attempting to logout from LXDE session it seems something gets unloaded as the widget appearance (theme) changes but the session stays active. When right clicking on the desktop the context menu always appears in the top-left corner of the desktop.

Shutdown and reboot buttons work fine. Cannot logout from Gnome and KDE sessions also.

openbox 3.5.2 revision 6
lxdm 0.4.1 revision 9

Contents of .xsession_errors:

...
** (lxsession-logout:2366): WARNING **: dbus-interface.c:94: DBUS: No such property CanSuspend

** (lxsession-logout:2366): WARNING **: dbus-interface.c:94: DBUS: No such property CanHibernate

** (lxsession-logout:2366): WARNING **: dbus-interface.c:94: DBUS: The name org.freedesktop.Hal was not provided by any .service files

** (lxsession-logout:2366): WARNING **: dbus-interface.c:94: DBUS: The name org.freedesktop.Hal was not provided by any .service files

Comment 7 pyrixer 2015-01-04 18:45:16 UTC
Same bug - Fedora 21 LXDE spin Fresh Install

Logout does not work

openbox-3.5.2-6.fc21.i686
lxdm-0.4.1-9.fc21.i686

Main Menu/logout dialog brings up the following .xsession errors
** (lxsession-logout:1054): WARNING **: dbus-interface.c:94: DBUS: No such property CanSuspend
** (lxsession-logout:1054): WARNING **: dbus-interface.c:94: DBUS: No such property CanHibernate
** (lxsession-logout:1054): WARNING **: dbus-interface.c:94: DBUS: The name org.freedesktop.Hal was not provided by any .service files
** (lxsession-logout:1054): WARNING **: dbus-interface.c:94: DBUS: The name org.freedesktop.Hal was not provided by any .service files
No hibernate and suspend buttons are shown
Shutdown, Reboot and Cancel buttons work but logout button does not.
When pressed the Logout button changes to default gtk theme and again causes above errors
in .xsession errors

Comment 8 choufleur 2015-01-18 16:29:49 UTC
I also have this bug. When will maintainers react, when log *in* will not work ?

Comment 9 phil 2015-02-02 17:42:34 UTC
i also have this problem.

if you run lxsession-logout then you get the following errors, but you do not get logged out.

$ lxsession-logout

** (lxsession-logout:2452): WARNING **: dbus-interface.c:94: DBUS: No such property CanSuspend

** (lxsession-logout:2452): WARNING **: dbus-interface.c:94: DBUS: No such property CanHibernate

** (lxsession-logout:2452): WARNING **: dbus-interface.c:94: DBUS: The name org.freedesktop.Hal was not provided by any .service files

** (lxsession-logout:2452): WARNING **: dbus-interface.c:94: DBUS: The name org.freedesktop.Hal was not provided by any .service files

$

Comment 10 phil 2015-02-02 17:52:10 UTC
$ yum provides lxsession-logout

lxsession-0.4.6.1-8.fc21.x86_64 : Lightweight X11 session manager
Repo        : fedora
Matched from:
Filename    : /usr/bin/lxsession-logout



lxsession-0.4.6.1-8.fc21.x86_64 : Lightweight X11 session manager
Repo        : installed
Matched from:
Filename    : /bin/lxsession-logout



lxsession-0.4.6.1-8.fc21.x86_64 : Lightweight X11 session manager
Repo        : installed
Matched from:
Filename    : /usr/bin/lxsession-logout

$

Comment 11 Jim Haynes 2015-02-14 18:18:13 UTC
I also have this problem on a fresh install from the LXDE F21 spin on
i686 machine.  I don't know anything about Openbox, but when I click on
the logout button I don't get logged out.

Comment 12 Török Edwin 2015-03-19 18:52:13 UTC
Same issue with Fedora 22 Alpha LXDE spin.

Comment 13 Giulio 'juliuxpigface' 2015-03-26 19:07:25 UTC
I can confirm this bug is still present in Fedora 22 Beta-TC4 (LXDE spin).

Comment 14 Giulio 'juliuxpigface' 2015-04-30 20:48:16 UTC
I'm not able to reproduce the issue on Fedora 22 Final-TC1 (LXDE spin again, but i686 on a KVM guest). Logout button works as expected here.

Does anyone confirm that this bug has been - somehow - solved?

Comment 15 Fedora End Of Life 2015-11-04 12:14:40 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2015-12-02 04:35:42 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.